/* @babel/plugin-transform-runtime */
function transformRuntime(options) {
    const { ecmascript, nodeEnv, polyfill } = options;
    if (polyfill) {
        return '@babel/plugin-transform-runtime';
    }
    return [
        '@babel/plugin-transform-runtime',
        {
            corejs: { version: 3, proposals: true },
            helpers: true,
            regenerator: !(nodeEnv || ecmascript)
        }
    ];
}
export default transformRuntime;
